// Emacs style mode select   -*- C++ -*-
//-----------------------------------------------------------------------------
//
// Copyright (C) 1993-1996 by id Software, Inc.
// Copyright (C) 1998-2000 by DooM Legacy Team.
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//-----------------------------------------------------------------------------
/// \file
/// \brief Printed strings for translation.
///	English language support (default).

#ifndef __D_TEXT__
#define __D_TEXT__

typedef enum
{
	D_DEVSTR_NUM,
	D_CDROM_NUM,
	PRESSKEY_NUM,
	PRESSYN_NUM,
	LOADNET_NUM,
	QLOADNET_NUM,
	QSAVESPOT_NUM,
	SAVEDEAD_NUM,
	QSPROMPT_NUM,
	QLPROMPT_NUM,
	NEWGAME_NUM,
	NIGHTMARE_NUM,
	MSGOFF_NUM,
	MSGON_NUM,
	NETEND_NUM,
	ENDGAME_NUM,
	DOSY_NUM,
	GAMMALVL0_NUM,
	GAMMALVL1_NUM,
	GAMMALVL2_NUM,
	GAMMALVL3_NUM,
	GAMMALVL4_NUM,
	EMPTYSTRING_NUM,
	GGSAVED_NUM,
	HUSTR_MSGU_NUM,

	STSTR_CLEV_NUM,

	PDEAD_ETC_NUM,
	UNABLE_TELEPORT_NUM,
	NETGAME_TELEPORT_NUM,
	INVALID_LOCATION_NUM,
	NETGAME_DEMO_NUM,
	CTFCMD_ONLY_NUM,
	ALREADYONTEAM_NUM,
	NOTEAMCHANGE_NUM,
	SERVERONLY_NUM,
	GAMEMODIFIED_NUM,
	FILE_NOT_FOUND_NUM,
	CLIENT_NEEDFILE_NUM,
	NEED_DEVMODE_NUM,
	NOTEARNED_NUM,
	MUSTBEINLEVEL_NUM,
	CANTUSESINGLEPLAYER_NUM,
	CANTUSEMULTIPLAYER_NUM,
	NETGAMEONLY_NUM,
	SINGLEPLAYERONLY_NUM,
	SERVERPAUSE_NUM,
	PAUSEINFO_NUM,
	CANTREADFILE_NUM,
	OBJPLACEINFO_NUM,

	POWERUPNOTARGET_NUM,

	REDFLAG_RETURNED_NUM,
	REDFLAG_PICKUP_NUM,
	BLUEFLAG_RETURNED_NUM,
	BLUEFLAG_PICKUP_NUM,
	PLAYERTOSSFLAG_NUM,
	PLAYERDROPFLAG_NUM,

	PDEAD_MATCHCRUSHED_NUM,
	PDEAD_SUICIDE_NUM,
	PDEAD_DIED_NUM,
	P_HITVERB_NUM,
	P_KILLEDVERB_NUM,
	PHURT_GOTNUKED_NUM,
	PHURT_GOTBURNED_NUM,
	PHURT_FIRETRAIL_NUM,
	PHURT_B_NUM,
	PHURT_A_NUM,
	PHURT_E_NUM,
	PHURT_R_NUM,
	PHURT_S_NUM,
	PHURT_G_NUM,
	PHURT_RING_NUM,
	PHURT_MATCHDEFAULT_NUM,
	PDEAD_DROWNED_NUM,
	PDEAD_CRUSHED_NUM,
	PHURT_BCRAWLA_NUM,
	PHURT_RCRAWLA_NUM,
	PHURT_JETG_NUM,
	PHURT_JETB_NUM,
	PHURT_CCRAWLA_NUM,
	PHURT_BOSS1_NUM,
	PHURT_BOSS2_NUM,
	PDEAD_PIT_NUM,
	PDEAD_GOOP_NUM,
	PHURT_HIT_NUM,
	WORLD_OF_PAIN_NUM,
	PLAYERGAMEOVER_NUM,
	PLAYERLIVESREMAINING_NUM,
	PLAYERISIT_NUM,

	CYCLE_DETECT_NUM,

	FINISHEDFINALLAP_NUM,
	STARTEDLAP_NUM,
	FINISHEDLEVEL_NUM,
	TOOHIGH_4095_NUM,
	TOOHIGH_2047_NUM,
	OUT_OF_TIME_NUM,
	UNKNOWN_GAMESKILL_NUM,

	INTRO01TEXT_NUM,
	INTRO02TEXT_NUM,
	INTRO03TEXT_NUM,
	INTRO04TEXT_NUM,
	INTRO05TEXT_NUM,
	INTRO06TEXT_NUM,
	INTRO07TEXT_NUM,
	INTRO08TEXT_NUM,
	INTRO09TEXT_NUM,
	INTRO10TEXT_NUM,
	INTRO11TEXT_NUM,
	INTRO12TEXT_NUM,
	INTRO13TEXT_NUM,
	INTRO14TEXT_NUM,
	INTRO15TEXT_NUM,
	INTRO16TEXT_NUM,

	QUITMSG_NUM,
	QUITMSG1_NUM,
	QUITMSG2_NUM,
	QUITMSG3_NUM,
	QUITMSG4_NUM,
	QUITMSG5_NUM,
	QUITMSG6_NUM,
	QUITMSG7_NUM,

	QUIT2MSG_NUM,
	QUIT2MSG1_NUM,
	QUIT2MSG2_NUM,
	QUIT2MSG3_NUM,
	QUIT2MSG4_NUM,
	QUIT2MSG5_NUM,
	QUIT2MSG6_NUM,

	MODIFIED_NUM,
	COMERCIAL_NUM,

	M_LOAD_NUM,
	Z_INIT_NUM,
	W_INIT_NUM,
	M_INIT_NUM,
	R_INIT_NUM,
	P_INIT_NUM,
	I_INIT_NUM,
	D_CHECKNET_NUM,
	S_SETSOUND_NUM,
	HU_INIT_NUM,
	ST_INIT_NUM,

	SRB2SRB_NUM,
	SRB2WAD_NUM,
	SONICPLR_NUM,
	TAILSPLR_NUM,
	KNUXPLR_NUM,
	MUSICWAD_NUM,

	CDROM_SAVEI_NUM,
	NORM_SAVEI_NUM,

	SPECIALDEHACKED,

	SRB2TITLE_NUM = SPECIALDEHACKED,

	NUMTEXT
} text_enum;

extern const char *text[];

//
// Printed strings for translation
//

//
// d_main.c
//
#define D_DEVSTR    text[D_DEVSTR_NUM]
#define D_CDROM     text[D_CDROM_NUM]

//
// d_netcmd.c
//
#define STSTR_CLEV  text[STSTR_CLEV_NUM]

//
// m_menu.c
//
#define PRESSKEY    text[PRESSKEY_NUM]
#define PRESSYN     text[PRESSYN_NUM]
#define LOADNET     text[LOADNET_NUM]
#define QLOADNET    text[QLOADNET_NUM]
#define QSAVESPOT   text[QSAVESPOT_NUM]
#define SAVEDEAD    text[SAVEDEAD_NUM]
#define QSPROMPT    text[QSPROMPT_NUM]
#define QLPROMPT    text[QLPROMPT_NUM]
#define NEWGAME     text[NEWGAME_NUM]
#define NIGHTMARE   text[NIGHTMARE_NUM]
#define MSGOFF      text[MSGOFF_NUM]
#define MSGON       text[MSGON_NUM]
#define NETEND      text[NETEND_NUM]
#define ENDGAME     text[ENDGAME_NUM]
#define DOSY        text[DOSY_NUM]
#define GAMMALVL0   text[GAMMALVL0_NUM]
#define GAMMALVL1   text[GAMMALVL1_NUM]
#define GAMMALVL2   text[GAMMALVL2_NUM]
#define GAMMALVL3   text[GAMMALVL3_NUM]
#define GAMMALVL4   text[GAMMALVL4_NUM]
#define EMPTYSTRING text[EMPTYSTRING_NUM]

//
// g_game.c
//
#define GGSAVED           text[GGSAVED_NUM]

//
// hu_stuff.c
//
#define HUSTR_MSGU       text[HUSTR_MSGU_NUM]

//
// d_netcmd.c
//
#define PDEAD_ETC           text[PDEAD_ETC_NUM]
#define UNABLE_TELEPORT     text[UNABLE_TELEPORT_NUM]
#define NETGAME_TELEPORT    text[NETGAME_TELEPORT_NUM]
#define INVALID_LOCATION    text[INVALID_LOCATION_NUM]
#define NETGAME_DEMO        text[NETGAME_DEMO_NUM]
#define CTFCMD_ONLY         text[CTFCMD_ONLY_NUM]
#define ALREADYONTEAM       text[ALREADYONTEAM_NUM]
#define NOTEAMCHANGE        text[NOTEAMCHANGE_NUM]
#define SERVERONLY          text[SERVERONLY_NUM]
#define GAMEMODIFIED        text[GAMEMODIFIED_NUM]
#define FILE_NOT_FOUND      text[FILE_NOT_FOUND_NUM]
#define CLIENT_NEEDFILE     text[CLIENT_NEEDFILE_NUM]
#define NEED_DEVMODE        text[NEED_DEVMODE_NUM]
#define NOTEARNED           text[NOTEARNED_NUM]
#define MUSTBEINLEVEL       text[MUSTBEINLEVEL_NUM]
#define CANTUSESINGLEPLAYER text[CANTUSESINGLEPLAYER_NUM]
#define CANTUSEMULTIPLAYER  text[CANTUSEMULTIPLAYER_NUM]
#define NETGAMEONLY         text[NETGAMEONLY_NUM]
#define SINGLEPLAYERONLY    text[SINGLEPLAYERONLY_NUM]
#define SERVERPAUSE         text[SERVERPAUSE_NUM]
#define PAUSEINFO           text[PAUSEINFO_NUM]
#define CANTREADFILE        text[CANTREADFILE_NUM]
#define OBJPLACEINFO        text[OBJPLACEINFO_NUM]

//
// p_enemy.c
//
#define POWERUPNOTARGET     text[POWERUPNOTARGET_NUM]

//
// p_inter.c
//
#define REDFLAG_RETURNED    text[REDFLAG_RETURNED_NUM]
#define REDFLAG_PICKUP      text[REDFLAG_PICKUP_NUM]
#define BLUEFLAG_RETURNED   text[BLUEFLAG_RETURNED_NUM]
#define BLUEFLAG_PICKUP     text[BLUEFLAG_PICKUP_NUM]
#define PLAYERTOSSFLAG      text[PLAYERTOSSFLAG_NUM]
#define PLAYERDROPFLAG      text[PLAYERDROPFLAG_NUM]

#define PDEAD_MATCHCRUSHED   text[PDEAD_MATCHCRUSHED_NUM]
#define PDEAD_SUICIDE        text[PDEAD_SUICIDE_NUM]
#define PDEAD_DIED           text[PDEAD_DIED_NUM]
#define P_HITVERB            text[P_HITVERB_NUM]
#define P_KILLEDVERB         text[P_KILLEDVERB_NUM]
#define PHURT_GOTNUKED       text[PHURT_GOTNUKED_NUM]
#define PHURT_GOTBURNED      text[PHURT_GOTBURNED_NUM]
#define PHURT_FIRETRAIL      text[PHURT_FIRETRAIL_NUM]
#define PHURT_B              text[PHURT_B_NUM]
#define PHURT_A              text[PHURT_A_NUM]
#define PHURT_E              text[PHURT_E_NUM]
#define PHURT_R              text[PHURT_R_NUM]
#define PHURT_S              text[PHURT_S_NUM]
#define PHURT_G              text[PHURT_G_NUM]
#define PHURT_RING           text[PHURT_RING_NUM]
#define PHURT_MATCHDEFAULT   text[PHURT_MATCHDEFAULT_NUM]
#define PDEAD_DROWNED        text[PDEAD_DROWNED_NUM]
#define PDEAD_CRUSHED        text[PDEAD_CRUSHED_NUM]
#define PHURT_BCRAWLA        text[PHURT_BCRAWLA_NUM]
#define PHURT_RCRAWLA        text[PHURT_RCRAWLA_NUM]
#define PHURT_JETG           text[PHURT_JETG_NUM]
#define PHURT_JETB           text[PHURT_JETB_NUM]
#define PHURT_CCRAWLA        text[PHURT_CCRAWLA_NUM]
#define PHURT_BOSS1          text[PHURT_BOSS1_NUM]
#define PHURT_BOSS2          text[PHURT_BOSS2_NUM]
#define PDEAD_PIT            text[PDEAD_PIT_NUM]
#define PDEAD_GOOP           text[PDEAD_GOOP_NUM]
#define PHURT_HIT            text[PHURT_HIT_NUM]
#define WORLD_OF_PAIN        text[WORLD_OF_PAIN_NUM]
#define PLAYERGAMEOVER       text[PLAYERGAMEOVER_NUM]
#define PLAYERLIVESREMAINING text[PLAYERLIVESREMAINING_NUM]
#define PLAYERISIT           text[PLAYERISIT_NUM]

//
// p_mobj.c
//
#define CYCLE_DETECT         text[CYCLE_DETECT_NUM]

//
// p_spec.c/p_user.c
//
#define FINISHEDFINALLAP      text[FINISHEDFINALLAP_NUM]
#define STARTEDLAP            text[STARTEDLAP_NUM]
#define FINISHEDLEVEL         text[FINISHEDLEVEL_NUM]
#define TOOHIGH_4095          text[TOOHIGH_4095_NUM]
#define TOOHIGH_2047          text[TOOHIGH_2047_NUM]
#define OUT_OF_TIME           text[OUT_OF_TIME_NUM]
#define UNKNOWN_GAMESKILL     text[UNKNOWN_GAMESKILL_NUM]


//
// f_finale.c
//
#define INTRO01TEXT text[INTRO01TEXT_NUM]
#define INTRO02TEXT text[INTRO02TEXT_NUM]
#define INTRO03TEXT text[INTRO03TEXT_NUM]
#define INTRO04TEXT text[INTRO04TEXT_NUM]
#define INTRO05TEXT text[INTRO05TEXT_NUM]
#define INTRO06TEXT text[INTRO06TEXT_NUM]
#define INTRO07TEXT text[INTRO07TEXT_NUM]
#define INTRO08TEXT text[INTRO08TEXT_NUM]
#define INTRO09TEXT text[INTRO09TEXT_NUM]
#define INTRO10TEXT text[INTRO10TEXT_NUM]
#define INTRO11TEXT text[INTRO11TEXT_NUM]
#define INTRO12TEXT text[INTRO12TEXT_NUM]
#define INTRO13TEXT text[INTRO13TEXT_NUM]
#define INTRO14TEXT text[INTRO14TEXT_NUM]
#define INTRO15TEXT text[INTRO15TEXT_NUM]
#define INTRO16TEXT text[INTRO16TEXT_NUM]

#endif
